.btn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

@media print {
	.btn, button{
		display: none !important;
	}
}

.vv-footer {
    border-top: 1px solid #e5e5e5;
    margin-top: 40px;
    padding-top: 10px;
    font-size: 0.85rem;
    color: #777;
}

    .charts {
      display: flex;
      gap: 80px; /* Abstand zwischen den Diagrammen */
    }
    canvas {
      width: 500px !important;
      height: 500px !important;
    }

.chart-container {
  display: flex;
  justify-content: center;   /* horizontal zentriert */
  align-items: center;       /* vertikal zentriert (optional) */
  height: 500px;             /* Höhe des Containers */
  width: 100%;               /* volle Breite */
  max-width: 600px;          /* maximale Breite */
  margin: 0 auto;            /* zentriert innerhalb des übergeordneten Elements */
}

  .form-container {
    max-width: 600px;
    margin: auto;
    padding: 1em;
    display: flex;
    flex-wrap: wrap;
    gap: 1em;
    background: #f9f9f9;
    border-radius: 8px;
    font-family: sans-serif;
  }

  .form-group {
    flex: 1 1 45%;
    display: flex;
    flex-direction: column;
  }

  label {
    font-weight: bold;
    margin-bottom: 0.3em;
  }

  input, select, textarea {
    padding: 0.5em;
    border: 1px solid #ccc;
    border-radius: 4px;
  }

  .full-width {
    flex: 1 1 100%;
  }

  button {
    padding: 0.7em 1.5em;
    background-color: #0077cc;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
  }

  button:hover {
    background-color: #005fa3;
  }
  .mitgliedertabelle {
    width: 100%;
    border-collapse: collapse;
    font-family: sans-serif;
    margin-top: 2em;
  }

  .mitgliedertabelle th, .mitgliedertabelle td {
    border: 1px solid #ccc;
    padding: 0.6em;
    text-align: left;
  }

  .mitgliedertabelle th {
    background-color: #f0f0f0;
  }

  .mitgliedertabelle tr:nth-child(even) {
    background-color: #f9f9f9;
  }

  .mitgliedertabelle caption {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 0.5em;
  }
fieldset {
  border: 1px solid #fff;
  padding: 1em;
  margin-bottom: 1.5em;
}
legend {
  font-weight: bold;
  padding: 0 0.5em;
}
    body {
      font-family: sans-serif;
      margin: 2em;
	  background-color: #F4F6E0;
    }

    form {
      display: grid;
      gap: 2em;
	  margin: auto;
	  width: 75%;
    }

    .block {
      border: 1px solid #fff;
      padding: 1em;
      border-radius: 8px;
	  background-color: #79C4C1;
	  overflow-x: auto;
    }

    .block h2 {
      margin-top: 0;
      font-size: 1.2em;
      color: #333;
    }
	
	.block form {
		max-width: 100%;
	}

    .grid {
      display: grid;
      grid-template-columns: 1fr;
      gap: .5em;
    }

    .grid2 {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: .5em;
    }

    .grid3 {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr;
      gap: 1em;
    }

    .grid4 {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr 1fr;
      gap: 1em;
    }

    .grid5 {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
      gap: .5em;
    }

    label {
      display: flex;
      flex-direction: column;
      font-weight: bold;
    }

    input, select, textarea {
      padding: 0.5em;
      font-size: 1em;
      border: 1px solid #aaa;
      border-radius: 4px;
    }

    button {
      padding: 0.7em 1.5em;
      font-size: 1em;
      background-color: #327D9E;
      color: white;
      border: none;
      border-radius: 4px;
      cursor: pointer;
    }

    button:hover {
      background-color: #A3A838;
    }
.checkbox-gruppe {
  border: 1px solid #fff;
  padding: 1em;
  border-radius: 6px;
  margin-bottom: 1.5em;
}

.checkbox-gruppe label {
  display: block;
  margin-bottom: 0.5em;
}
  /* Button-Stil */
  #topBtn {
  position: fixed;
  bottom: 20px;
  left: 90%;
  transform: translateX(-90%);
  z-index: 9999;
  display: none;
  padding: 10px 20px;
  font-size: 16px;
  background-color: #007BFF;
  color: white;
  border: none;
  border-radius: 6px;
}


  #topBtn:hover {
    background-color: #213E58;
  }
  
.fest {
    background-color: hsla(80, 61%, 50%, 0.6);
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}
.zentriert {
	text-align: center;
}
/* Buttons extra */
.btn {
    display: inline-block;
    margin: 0.3rem;
    padding: 0.4rem 0.8rem;
    background-color: #327D9E;
    color: white;
    text-decoration: none;
    border-radius: 4px;
}

.btn:hover {
    background-color: #213E58;
}

.form-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

/* Tablet */
@media (max-width: 900px) {
    .form-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Smartphone */
@media (max-width: 600px) {
    .form-grid {
        grid-template-columns: 1fr;
    }
}

footer {
/*  background-color: #79C4C1;*/
  text-align: center;
  padding: 1rem;
  text-align: center;
  font-size: 0.9em;
  color: #555;
  border-top: 1px solid #ccc;
}

.footer-content a {
  background-color: #F4F6E0;
  color: #0077cc;
  text-decoration: none;
}

.footer-content a:hover {
  text-decoration: underline;
}
figure {
	text-align: center;
}

@media (max-width: 786px) {
  .chart-container {
    display: none;
  }
  .chart {
	 display: none;
  }
    .noMobile {
	 display: none;
  }
	.form-row .col-md-6 { width: 100%;
	}
    .grid3 {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 1em;
    }
}